! test   the use of a data object
! R601 - R631

Program E1

TYPE type1
REAL   f1
INTEGER f2
CHARACTER f3(100)*10
TYPE(type1) , pointer :: next
END TYPE

INTEGER   var1(100)
TYPE (type1)  var2(200,300)

! error(236)
CHARACTER (kind=var1(1))   var3

INTEGER var4(3), var5(4) , var6(5,7)
INTEGER ,parameter :: var7=7
CHARACTER , parameter :: var8*3='abc'

!R601.3
!scalar_var can not have PARAMETER attr
var7 = 10

!R601.4
!parent of subobject can not have PARAMETER attr
var8(1:2)='cd'


!R611
! parent string must be character type
var1(1)(1:5)='abcd'

! error(101)
var1(1,2) = 20

!R613.1 , R613.2
! 
var2(100,200)%next%ff=100

!R613.3
!The subscript must match the rank of the variable
var6(10)=6

!R613.4
! error(125)
var2(1:N:2,1:I)%next%f3(K:90)(1:6)='abc'

var4 = (/1,2,3/)
! error(132)
var5 = (/2,1,1,(var4,9)/)



END
